Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Config_Handlers::IDREF_Base< T > Class Template Reference

`#include <IDREF_Base.h>`

Collaboration diagram for CIAO::Config_Handlers::IDREF_Base< T >:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Manager< ACE_CString, T, ACE_Null_Mutex > | IDREF_MAP
typedef ACE_Hash_Map_Manager< T, ACE_CString, ACE_Null_Mutex > | POS_MAP
## Public Member Functions
void | bind_ref (ACE_CString &id, T value) throw (Config_Error)
| Bind an IDREF to an index.
void | find_ref (const ACE_CString &id, T &value) throw (Config_Error)
| Get the index associated with an IDREF.
void | find_ref (const T &value, ACE_CString &id) throw (Config_Error)
| get the IDREF associated with an index
bool | unbind_refs (void)
| Unbind all IDREFS.
## Protected Attributes
IDREF_MAP | idref_map_
POS_MAP | pos_map_

### template<typename T>
class CIAO::Config_Handlers::IDREF_Base< T >

## Member Typedef Documentation

template<typename T>
typedef ACE_Hash_Map_Manager<ACE_CString, T, ACE_Null_Mutex> CIAO::Config_Handlers::IDREF_Base< T >::IDREF_MAP

template<typename T>
typedef ACE_Hash_Map_Manager<T, ACE_CString, ACE_Null_Mutex> CIAO::Config_Handlers::IDREF_Base< T >::POS_MAP

## Member Function Documentation

template<typename T>
void CIAO::Config_Handlers::IDREF_Base< T >::bind_ref | ( | ACE_CString & | id,
|  | T | value
| ) | throw (Config_Error)

| Bind an IDREF to an index.

template<typename T>
void CIAO::Config_Handlers::IDREF_Base< T >::find_ref | ( | const T & | value,
|  | ACE_CString & | id
| ) | throw (Config_Error)

| get the IDREF associated with an index

template<typename T>
void CIAO::Config_Handlers::IDREF_Base< T >::find_ref | ( | const ACE_CString & | id,
|  | T & | value
| ) | throw (Config_Error)

| Get the index associated with an IDREF.

template<typename T>
bool CIAO::Config_Handlers::IDREF_Base< T >::unbind_refs | ( | void |  | ) |

| Unbind all IDREFS.

## Member Data Documentation

template<typename T>
IDREF_MAP CIAO::Config_Handlers::IDREF_Base< T >::idref_map_`[protected]`

| The map used to store and look up the indexes of elements referenced by their IDREF.

template<typename T>
POS_MAP CIAO::Config_Handlers::IDREF_Base< T >::pos_map_`[protected]`

| The map used to store and look up the IDREFS of elements referenced by their index.

The documentation for this class was generated from the following files:

- IDREF_Base.h
- IDREF_Base.cpp